<template>
  <a-modal
    title="修改价格"
    :width="940"
    :visible="visible"
    :confirmLoading="loading"
    @ok="() => { $emit('ok') }"
    @cancel="() => { $emit('cancel') }"
  >
    <a-spin :spinning="loading">
      <a-table
        rowKey="id"
        ref="table"
        size="default"
        :columns="columns"
        :data-source="data"
        :pagination="false"
      >
        <span slot="props" slot-scope="text, record">
          {{
            getProps(record)
          }}
        </span>
        <span slot="yzPrice" slot-scope="text, record">
          <a-input-number @change="changehand" v-model:value="record.yzSkuPrice"/>
        </span>
      </a-table>
    </a-spin>
  </a-modal>
</template>

    <script>
import pick from 'lodash.pick'
    const columns = [
    {
      title: '规格',
      scopedSlots: { customRender: 'props' }
    },
    {
      title: '1688是否包邮',
      dataIndex: 'isAliPost',
      customRender: (text, record) => text == true ? '是' : '否'
    },
    {
      title: '1688价格',
      dataIndex: 'aliSkuPrice'
    },
    {
      title: '有赞价格',
      dataIndex: 'yzSkuPrice',
      scopedSlots: { customRender: 'yzPrice' }
    }
  ]
    export default {
      props: {
        visible: {
          type: Boolean,
          required: true
        },
        loading: {
          type: Boolean,
          default: () => false
        },

        model: {
          type: Array,
          default: () => null
        }
      },
      data () {
        this.formLayout = {
          labelCol: {
            xs: { span: 24 },
            sm: { span: 7 }
          },
          wrapperCol: {
            xs: { span: 24 },
            sm: { span: 13 }
          }
        }
        return {
            columns,
            data: []
        }
      },
      created () {
       // 当 model 发生改变时，为表单设置值
       this.$watch('model', () => {
         this.data = this.model
        })
      },
      methods: {
        getProps (record) {
            var txt = ''
            record.props.forEach(element => {
                txt += element.name + ':'
                txt += element.value + ';'
            })
            return txt
        },
        changehand (value) {
            console.log(this.data)
        }
      }
    }
    </script>
